Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventhandler
Interface IDataSetEventHandler

All Known Subinterfaces:
  IScriptedDataSetEventHandler

All Known Implementing Classes:
  DataSetEventAdapter, ScriptedDataSetEventAdapter

    public interface IDataSetEventHandler

Script event handler interface for a data set

Method Summary
`void` | `afterClose(IReportContext reportContext)` Handle the afterClose event
`void` | `afterOpen(IDataSetInstance dataSet, IReportContext reportContext)` Handle the afterOpen event
`void` | `beforeClose(IDataSetInstance dataSet, IReportContext reportContext)` Handle the beforeClose event
`void` | `beforeOpen(IDataSetInstance dataSet, IReportContext reportContext)` Handle the beforeOpen event
`void` | `onFetch(IDataSetInstance dataSet, IDataSetRow row, IReportContext reportContext)` Handle the onFetch event

Method Detail

### beforeOpen

    void beforeOpen(IDataSetInstance dataSet,
                    IReportContext reportContext)
                    throws ScriptException

  Handle the beforeOpen event

  Throws:
    `ScriptException`

### afterOpen

    void afterOpen(IDataSetInstance dataSet,
                   IReportContext reportContext)
                   throws ScriptException

  Handle the afterOpen event

  Throws:
    `ScriptException`

### onFetch

    void onFetch(IDataSetInstance dataSet,
                 IDataSetRow row,
                 IReportContext reportContext)
                 throws ScriptException

  Handle the onFetch event

  Throws:
    `ScriptException`

### beforeClose

    void beforeClose(IDataSetInstance dataSet,
                     IReportContext reportContext)
                     throws ScriptException

  Handle the beforeClose event

  Throws:
    `ScriptException`

### afterClose

    void afterClose(IReportContext reportContext)
                    throws ScriptException

  Handle the afterClose event

  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.